Bug 1126558 - iwlwifi becomes unstable 'fail to flush all tx fifo queues Q 2 ...'
Summary: iwlwifi becomes unstable 'fail to flush all tx fifo queues Q 2 ...'
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 19:05 UTC by Branko Grubić
Modified: 2015-03-25 09:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-07 14:45:31 UTC


Attachments (Terms of Use)
dmesg (83.00 KB, text/plain)
2014-08-04 19:05 UTC, Branko Grubić
no flags Details

Description Branko Grubić 2014-08-04 19:05:34 UTC
Created attachment 923993 [details]
dmesg

Description of problem:
I don't use wifi much, but now I see some issues with my system using wifi.

Version-Release number of selected component (if applicable):
kernel-3.15.8-200.fc20.x86_64
iwl5000-firmware-8.83.5.1_1-38.fc20.noarch

How reproducible:


Steps to Reproduce:
Connect to a network, and after some time, problems start to show up, it looks like it get a long delay. 

I'm not 100% sure about this --> ' I saw in old log that it was connecting disconnecting few times... '

Actual results:


Expected results:


Additional info:
I'm not sure is it shown somewhere in the kernel log, I'm connected to 802.11n network using WPA2-PSK, signal isn't great but I think this should work, it worked before ( Link Quality=43/70  Signal level=-67 dBm ) 

Is there any kernel option I can enable to get more debug information?

I understand that there is not much you can do about this driver because it uses closed source firmware?

Comment 1 Stanislaw Gruszka 2014-09-03 14:30:31 UTC
Do you still have this problem on 3.16 ?

Comment 2 Branko Grubić 2014-09-07 07:20:45 UTC
Sorry, I cannot test this anymore.
Please close this bug.

Comment 3 Branko Grubić 2014-09-23 16:23:41 UTC
Sorry I had some issues with my computer ... (long story, ... it works again)
I switched to f21, this is still present in linux 3.16.x

38395.258064] iwlwifi 0000:03:00.0: fail to flush all tx fifo queues Q 2
[38395.258071] iwlwifi 0000:03:00.0: Current SW read_ptr 91 write_ptr 120
[38395.258096] iwl data: 00000000: 00 00 00 f8 00 00 00 00 ff 07 00 00 00 00 00 00  ................
[38395.258111] iwlwifi 0000:03:00.0: FH TRBs(0) = 0x80003051
[38395.258125] iwlwifi 0000:03:00.0: FH TRBs(1) = 0x8010206a
[38395.258138] iwlwifi 0000:03:00.0: FH TRBs(2) = 0x00000000
[38395.258152] iwlwifi 0000:03:00.0: FH TRBs(3) = 0x80300016
[38395.258166] iwlwifi 0000:03:00.0: FH TRBs(4) = 0x00000000
[38395.258179] iwlwifi 0000:03:00.0: FH TRBs(5) = 0x00000000
[38395.258193] iwlwifi 0000:03:00.0: FH TRBs(6) = 0x00000000
[38395.258206] iwlwifi 0000:03:00.0: FH TRBs(7) = 0x007040f2
[38395.258260] iwlwifi 0000:03:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [23,23]
[38395.258313] iwlwifi 0000:03:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[38395.258366] iwlwifi 0000:03:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [91,120]
[38395.258418] iwlwifi 0000:03:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [82,82]
[38395.258471] iwlwifi 0000:03:00.0: Q 4 is active and mapped to fifo 7 ra_tid 0x0000 [243,243]
[38395.258523] iwlwifi 0000:03:00.0: Q 5 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258576] iwlwifi 0000:03:00.0: Q 6 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258629] iwlwifi 0000:03:00.0: Q 7 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258681] iwlwifi 0000:03:00.0: Q 8 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258734] iwlwifi 0000:03:00.0: Q 9 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258786] iwlwifi 0000:03:00.0: Q 10 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258839] iwlwifi 0000:03:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258891] iwlwifi 0000:03:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258944] iwlwifi 0000:03:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.258996] iwlwifi 0000:03:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.259070] iwlwifi 0000:03:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.259128] iwlwifi 0000:03:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.259183] iwlwifi 0000:03:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.259237] iwlwifi 0000:03:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[38395.259292] iwlwifi 0000:03:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]


I need to test more to check if network is stable. Easiest way to reproduce this is with torrent client (many connections, packets ... (I assume?)). I tested downloading ISO image of some distribution and it happened again.
kernel-3.16.3-300.fc21.x86_64
iwl5000-firmware-8.83.5.1_1-39.fc21.1.noarch

Comment 4 Matt Hirsch 2015-03-21 22:41:40 UTC
Can this bug be reopened? I still have this exact problem on Fedora 21 kernel-3.18.9-200.fc21.x86_64. I'm willing to test or collect any additional data needed. The wifi connection is constantly unstable and dropping. The signal strength goes from nearly full to nearly zero when the problem occurs.

I've checked that the patch discussed in https://bugzilla.kernel.org/show_bug.cgi?id=56581 has been applied to the running version of the Fedora 21 kernel, so it would seem there are additional instances where this error can occur. Perhaps it is just a symptom of other problems.

[  846.008628] iwlwifi 0000:08:00.0: fail to flush all tx fifo queues Q 0
[  846.008633] iwlwifi 0000:08:00.0: Current SW read_ptr 120 write_ptr 122
[  846.008667] iwl data: 00000000: 00 00 00 00 00 00 00 00 00 00 00 03 00 00 00 
00  ................
[  846.008681] iwlwifi 0000:08:00.0: FH TRBs(0) = 0x00000000
[  846.008695] iwlwifi 0000:08:00.0: FH TRBs(1) = 0xc011008c
[  846.008709] iwlwifi 0000:08:00.0: FH TRBs(2) = 0x00000000
[  846.008723] iwlwifi 0000:08:00.0: FH TRBs(3) = 0x80300079
[  846.008737] iwlwifi 0000:08:00.0: FH TRBs(4) = 0x00000000
[  846.008750] iwlwifi 0000:08:00.0: FH TRBs(5) = 0x00000000
[  846.008764] iwlwifi 0000:08:00.0: FH TRBs(6) = 0x00000000
[  846.008778] iwlwifi 0000:08:00.0: FH TRBs(7) = 0x00709072
[  846.008836] iwlwifi 0000:08:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0
x0000 [120,122]
[  846.008893] iwlwifi 0000:08:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0
x0000 [0,0]
[  846.008950] iwlwifi 0000:08:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0
x0000 [106,110]
[  846.009007] iwlwifi 0000:08:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0
x0000 [0,0]
[  846.009064] iwlwifi 0000:08:00.0: Q 4 is inactive and mapped to fifo 0 ra_tid
 0x0000 [0,0]
[  846.009121] iwlwifi 0000:08:00.0: Q 5 is inactive and mapped to fifo 0 ra_tid
 0x0000 [0,0]
[  846.009178] iwlwifi 0000:08:00.0: Q 6 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009235] iwlwifi 0000:08:00.0: Q 7 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009292] iwlwifi 0000:08:00.0: Q 8 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009349] iwlwifi 0000:08:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [115,115]
[  846.009406] iwlwifi 0000:08:00.0: Q 10 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009463] iwlwifi 0000:08:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009520] iwlwifi 0000:08:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009591] iwlwifi 0000:08:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009649] iwlwifi 0000:08:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009706] iwlwifi 0000:08:00.0: Q 15 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[  846.009763] iwlwifi 0000:08:00.0: Q 16 is active and mapped to fifo 1 ra_tid 0x0000 [126,225]
[  846.009820] iwlwifi 0000:08:00.0: Q 17 is inactive and mapped to fifo 3 ra_tid 0x0006 [4,4]
[  846.009876] iwlwifi 0000:08:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  846.009934] iwlwifi 0000:08:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[  849.165443] wlp8s0: authenticate with ...

$ lspci | grep -i net
08:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)

Comment 5 jaanus 2015-03-25 09:15:17 UTC
Same on FC20 with latest kernel 3.18.9-100.fc20.x86_64.

Wifi is unusable since kernel update:

--- 192.168.1.1 ping statistics ---
65 packets transmitted, 37 received, 43% packet loss, time 64041ms
rtt min/avg/max/mdev = 1.194/322.251/10910.236/1766.205 ms, pipe 11

$ lspci | grep -i wire
03:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)


Note You need to log in before you can comment on or make changes to this bug.